import * as _versini_ui_private_dist_utilities from '@versini/ui-private/dist/utilities';
import { SpacingProps } from '@versini/ui-private/dist/utilities';
import React from 'react';
import * as react_jsx_runtime from 'react/jsx-runtime';

declare const TextArea: React.ForwardRefExoticComponent<{
    label: string;
    name: string;
    error?: boolean;
    focusMode?: "dark" | "light" | "system" | "alt-system";
    helperText?: string;
    helperTextOnFocus?: boolean;
    labelId?: string;
    mode?: "dark" | "light" | "system" | "alt-system";
    noBorder?: boolean;
    raw?: boolean;
    rightElement?: React.ReactElement;
    textAreaClassName?: string;
} & _versini_ui_private_dist_utilities.SpacingProps & React.TextareaHTMLAttributes<HTMLTextAreaElement> & React.RefAttributes<HTMLTextAreaElement>>;

declare const TextInput: React.ForwardRefExoticComponent<{
    rightElement?: React.ReactElement;
} & {
    label: string;
    name: string;
    error?: boolean;
    focusMode?: "dark" | "light" | "system" | "alt-system";
    helperText?: string;
    inputClassName?: string;
    labelHidden?: boolean;
    labelId?: string;
    mode?: "dark" | "light" | "system" | "alt-system";
    noBorder?: boolean;
    raw?: boolean;
} & _versini_ui_private_dist_utilities.SpacingProps & React.InputHTMLAttributes<HTMLInputElement> & React.RefAttributes<HTMLInputElement>>;

declare const TextInputMask: React.ForwardRefExoticComponent<{
    rightElement: React.ReactElement;
    onMaskChange?: (masked: boolean) => void;
    onTextInputMaskBlur?: () => void;
} & {
    label: string;
    name: string;
    error?: boolean;
    focusMode?: "dark" | "light" | "system" | "alt-system";
    helperText?: string;
    inputClassName?: string;
    labelHidden?: boolean;
    labelId?: string;
    mode?: "dark" | "light" | "system" | "alt-system";
    noBorder?: boolean;
    raw?: boolean;
} & _versini_ui_private_dist_utilities.SpacingProps & React.InputHTMLAttributes<HTMLInputElement> & React.RefAttributes<HTMLInputElement>>;

type ToggleProps = {
	/**
	 * The label to use for the component.
	 */
	label: string;
	/**
	 * The name to use for the component.
	 */
	name: string;
	/**
	 * Callback fired when the component is activated.
	 * @param checked whether or not the component is checked
	 */
	onChange: (checked: boolean) => void;
	/**
	 * Whether or not the component is checked.
	 * @default false
	 */
	checked?: boolean;
	/**
	 * The type of focus for the Button. This will change the color
	 * of the focus ring around the Button.
	 */
	focusMode?: "dark" | "light" | "system" | "alt-system";
	/**
	 * Whether or not to render the label.
	 * @default false
	 */
	labelHidden?: boolean;
	/**
	 * The type of Toggle. This will change the color of the Toggle.
	 */
	mode?: "dark" | "light" | "system" | "alt-system";
	/**
	 * Whether or not to render the Toggle with a border.
	 * @default false
	 */
	noBorder?: boolean;
} & SpacingProps;

declare const Toggle: ({ checked, onChange, label, labelHidden, name, mode, focusMode, spacing, noBorder, }: ToggleProps) => react_jsx_runtime.JSX.Element;

export { TextArea, TextInput, TextInputMask, Toggle };
